curl --request GET \
--url https://platform.spritz.finance/v1/wallet-kit/auth-methods/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.spritz.finance/v1/wallet-kit/auth-methods/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.spritz.finance/v1/wallet-kit/auth-methods/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"kind": "passkey",
"label": "<string>",
"addedAt": "2023-11-07T05:31:56Z",
"isPrimary": true
}
],
"hasMore": false,
"nextCursor": "<string>"
}{
"title": "Unauthorized",
"status": 401,
"type": "urn:problem-type:auth:unauthorized",
"detail": "Bearer token required",
"instance": "<string>",
"realm": "API",
"scope": "read:users"
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true,
"retryAfter": 5,
"suggestedAction": "auto_ramp",
"clearsAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"permanent": true
}List wallet auth methods
Returns the auth methods registered on the authenticated user’s embedded wallet sub-organization.
Authorizations
User bearer credential: either a Cognito JWT or an ak_ user API key. Backend integrators using HMAC must include the user API key alongside the three HMAC headers on user-scoped endpoints.
Response
Paginated list of the authenticated user's auth methods. Empty when no wallet has been provisioned.
Paginated list of the authenticated user's auth methods. Empty when no wallet has been provisioned.
Auth methods registered on the user's embedded wallet sub-organization.
Show child attributes
Show child attributes
Whether more results are available beyond data. Always false — the full list is returned in a single response.
false
Opaque pagination cursor. Always null — the full list is returned in a single response.